Skip to main content
POST
/
public
/
v1
/
media-service
/
slots
Create Slot
curl --request POST \
  --url https://api.topsort.com/public/v1/media-service/slots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "slotId": "<string>",
  "dimensions": {
    "desktop": {
      "width": 123,
      "height": 123
    },
    "mobile": {
      "width": 123,
      "height": 123
    }
  }
}
'
import requests

url = "https://api.topsort.com/public/v1/media-service/slots"

payload = {
"slotId": "<string>",
"dimensions": {
"desktop": {
"width": 123,
"height": 123
},
"mobile": {
"width": 123,
"height": 123
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slotId: '<string>',
dimensions: {desktop: {width: 123, height: 123}, mobile: {width: 123, height: 123}}
})
};

fetch('https://api.topsort.com/public/v1/media-service/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "externalId": "<string>",
  "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dimensions": {},
  "page": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "url": "<string>",
    "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "imageUrl": "<string>"
  },
  "isActive": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Body

application/json

Category or search slot create request.

slotId
string
required

The unique external slot ID that represents the slot.

Minimum string length: 1
Pattern: ^[\w!\"#$%&'()*+,\-._/:;<>?@\[\]^\{\}~=\\]*$
Example:

"sidebar-2"

dimensions
SlotCreateRequestDimensions · object
required

The dimensions of the slot per device type.

position
enum<string>
required
Available options:
category,
search

Response

Successful Response

The ad config slot model.

id
string<uuid>
required

The ID of the ad config slot.

externalId
string
required

The external ID provided by marketplaces.

Minimum string length: 1
position
enum<string>
required

The position of the ad config slot.

Available options:
landing,
category_search,
category,
search
marketplaceId
string<uuid>
required

The ID of the marketplace that the ad config slot belongs to.

dimensions
Dimensions · object
required

The slot dimensions. There can be at most one dimension for each device type.

Example:
{
"desktop": { "height": 20, "width": 20 },
"mobile": { "height": 10, "width": 10 }
}
page
AdConfigPage · object | null

The page that the ad config slot belongs to. Only 'landing' slots can belong to a page.

isActive
boolean
default:true

Indicates whether the ad config slot is active. If false, the slot cannot be used in campaigns.